﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ResourceTest.Base;

namespace ResourceTest.Events
{
    public delegate void LocaleChangedEventHander(object sender, LocaleChangedEventArgs e);

    public class LocaleChangedEventArgs : EventArgs
    {
        public Locale NewLocale { get; set; }

        /// <summary>
        /// Initializes a new instance of the LocaleChangedEventArgs class.
        /// </summary>
        public LocaleChangedEventArgs(Locale newLocale)
        {
            NewLocale = newLocale;
        }
    }
}
