﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ResourceTest.Services;

namespace ResourceTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            // Subscribe to the LocaleChanged event and set the appropriate flow direction
            //
            // The setting on the base window will be inherited by all the controls inside it
            //
            // Flow direction is a UI thing, and there's no real logic here, so I'm not TOO 
            // concerned about putting this code in a ViewModel
            ResourceManagerService.LocaleChanged += (s, e) =>
                {
                    this.FlowDirection = e.NewLocale.RTL ? FlowDirection.RightToLeft : FlowDirection.LeftToRight; 
                };

        }
    }
}
