﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ResourceTest.Helpers;
using System.Resources;
using ResourceTest.Services;
using MResourceTest.ViewModels;

namespace ResourceTest.Views
{
    /// <summary>
    /// Interaction logic for MainScreenView.xaml
    /// </summary>
    public partial class MainScreenView : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the MainScreenView class.
        /// </summary>
        public MainScreenView()
        {
            InitializeComponent();

            this.DataContext = new MainScreenViewModel();
        }

        private void EnglishButton_Click(object sender, RoutedEventArgs e)
        {
            ResourceManagerService.ChangeLocale("en-GB");
        }

        private void HebrewButton_Click(object sender, RoutedEventArgs e)
        {
            ResourceManagerService.ChangeLocale("he-IL");
        }
    }
}
